"use strict";
Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = exports.initPluginsConfig = void 0;
var _deviceInterface = _interopRequireDefault(require("./view/deviceInterface")),
  _deviceProtocol = _interopRequireDefault(require("./view/deviceProtocol")),
  _deviceManage = _interopRequireDefault(require("./view/deviceManage")),
  _ruleManage = _interopRequireDefault(require("./view/ruleManage")),
  _topoManage = _interopRequireDefault(require("./view/topoManage")),
  _historicalData = _interopRequireDefault(require("./view/historicalData")),
  _recentAlarm = _interopRequireDefault(require("./view/recentAlarm")),
  _alarmManage = _interopRequireDefault(require("./view/alarmManage")),
  _createEquipment = _interopRequireDefault(require("./view/createEquipment")),
  _plcManager = _interopRequireDefault(require("./view/plcManager")),
  _client = _interopRequireDefault(require("./view/iec/client")),
  _server = _interopRequireDefault(require("./view/iec/server")),
  _PluginCore = _interopRequireDefault(require("./view/mainframe/PluginCore"));

function _interopRequireDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  }
}
require("./styles/giot/index.scss"), require("./styles/view/common/index.scss");
var plugView = {
    device: _PluginCore.default,
    alarmManage: _alarmManage.default,
    deviceInterface: _deviceInterface.default,
    deviceProtocol: _deviceProtocol.default,
    deviceManage: _deviceManage.default,
    ruleManage: _ruleManage.default,
    topoManage: _topoManage.default,
    historicalData: _historicalData.default,
    recentAlarm: _recentAlarm.default,
    createEquipment: _createEquipment.default,
    plcManager: _plcManager.default,
    iec104client: _client.default,
    iec104server: _server.default
  },
  initPluginsConfig = function(e) {
    e = e.staticHeader;
    window.isPluginsToAmos = !0, window.requestInfo = {
      staticHeader: e
    }
  };
exports.initPluginsConfig = initPluginsConfig;
var _default = plugView;
exports.default = plugView;
